## org.apache.cassandra.config
Class CFMetaData

    java.lang.Object
      org.apache.cassandra.config.CFMetaData

    public final class CFMetaData

extends java.lang.Object

Field Summary
`java.lang.String` `cfName`
`java.lang.String` `columnType`
`java.lang.String` `comment`
`AbstractType` `comparator`
`static double` `DEFAULT_KEY_CACHE_SIZE`
`static double` `DEFAULT_ROW_CACHE_SIZE`
`int` `keyCacheSavePeriodInSeconds`
`double` `keyCacheSize`
`int` `rowCacheSavePeriodInSeconds`
`double` `rowCacheSize`
`AbstractType` `subcolumnComparator`
`java.lang.String` `tableName`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`java.lang.String` `pretty()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_KEY_CACHE_SIZE

    public static final double DEFAULT_KEY_CACHE_SIZE

See Also:
  Constant Field Values

### DEFAULT_ROW_CACHE_SIZE

    public static final double DEFAULT_ROW_CACHE_SIZE

See Also:
  Constant Field Values

### tableName

    public final java.lang.String tableName

### cfName

    public final java.lang.String cfName

### columnType

    public final java.lang.String columnType

### comparator

    public final AbstractType comparator

### subcolumnComparator

    public final AbstractType subcolumnComparator

### comment

    public final java.lang.String comment

### rowCacheSize

    public final double rowCacheSize

### keyCacheSize

    public final double keyCacheSize

### rowCacheSavePeriodInSeconds

    public final int rowCacheSavePeriodInSeconds

### keyCacheSavePeriodInSeconds

    public final int keyCacheSavePeriodInSeconds

Method Detail

### pretty

    public java.lang.String pretty()

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Copyright © 2010 The Apache Software Foundation